<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ to_do_object.name }}</h1>
                <div>
                    <p>
                        <a href="{% url 'todo_list_update' to_do_object.id %}">Edit</a>
                    </p>
                    <p>
                        <a href="{% url 'todo_list_delete' to_do_object.id %}">Delete</a>
                    </p>
                </div>
                <h2>Tasks</h2>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in to_do_object.items.all %}
                            <tr>
                                <td>
                                    <a href="{% url 'todo_item_update' task.id %}">{{ task.task }}</a>
                                </td>
                                <td>{{ task.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
